/*
 * $Id: identifyform.ui.h,v 1.2 2006/08/28 14:34:36 pjedryczek Exp $
 */

/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
/****************************************************************************
   QGnokii - an alternative frontend for Gnokii
    Copyright (C) 2006  Piotr Jedryczek

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
**************************************************************************/
#include <stdio.h>
#include "global.h"

void identifyForm::init()
{
    char imei[64];
    char revision[64];
    char model[64];
    char manufacturer[64];
    char code[3];
    qgnokii_global *global = new qgnokii_global;
    
    if(global->connectQSocketDevice() != 0)
    {
	QMessageBox::critical(this, "Error", "Can't connect to QGnokiid", QMessageBox::Ok, QMessageBox::NoButton, QMessageBox::NoButton);
	return;
    }
    global->socket->writeBlock(BEGIN_CODE, CODE_LEN);
    global->socket->writeBlock(IDENTIFY_CODE, CODE_LEN);
    global->socket->readBlock(code, CODE_LEN);
    if(strcmp(code, BEGIN_CODE) == 0)
    {
	global->socket->readBlock(code, CODE_LEN);
	if(strcmp(code, IDENTIFY_CODE) == 0)
	{
	    global->socket->readBlock(imei, sizeof(imei));
	    imeiLineEdit->setText(imei);
	    global->socket->readBlock(revision, sizeof(revision));
	    revisionLineEdit->setText(revision);
	    global->socket->readBlock(model, sizeof(model));
	    modelLineEdit->setText(model);
	    global->socket->readBlock(manufacturer, sizeof(manufacturer));
	    manufacturerLineEdit->setText(manufacturer);
	    global->socket->readBlock(code, CODE_LEN);
	    if(strcmp(code, END_CODE) != 0)
	    {
		QMessageBox::critical(this, "Error", "Transmission error", QMessageBox::Ok, QMessageBox::NoButton, QMessageBox::NoButton);
		return;
	    }
	}
	else
	{
	    QMessageBox::critical(this, "Error", "Server isn't responding properly", QMessageBox::Ok, QMessageBox::NoButton, QMessageBox::NoButton);
	    return;
	}
    }
    else
    {
	QMessageBox::critical(this, "Error", "Server isn't responding properly", QMessageBox::Ok, QMessageBox::NoButton, QMessageBox::NoButton);
	    return;
    }
    
}
